function [eval,evec]=Power2(A,x0,tol)
%Initialize variables
it=0;
xlast=x0;
x=x0;
while norm(x-xlast,inf)>tol || it==0
    %Perform power method
    xlast=x;
    y=A*xlast;
    x=y/norm(y,inf);
    x=x.*sign(xlast(1));
    it=it+1;
end
eval=max(A*x);
evec=x;
end