function root = newtND(fun,gradfun,x0,tol)

xnew = x0;
xold = xnew-1;

while norm(xnew-xold)>tol
    
    gradfxk = feval(gradfun,xnew);
    fxk = feval(fun,xnew)';
    
    xold=xnew;
    % x_k+1 = x_k - (grad f(xk))^{-1} * f(xk), but implement as linear solve
    xnew=xnew - gradfxk \ fxk;

end

root = xnew;

