function [root,numits] = newt(fun,funderiv,x0,tol)
% function root = newt(fun,funderiv,x0,tol)

% initialize to make it in the while loop
x(1)=x0+1;
x(2)=x0;
k=2;

%
while ( abs( (x(k)-x(k-1))/x(k-1) ) >tol)
    % perform the Newton iteration
    fxk = feval(fun,x(k));
    fprimexk = feval(funderiv,x(k));
    k = k+1;
    x(k) = x(k-1) - fxk/fprimexk;
end

root = x(k);
numits = k-2;


